<?php

namespace WebServiceCall\Repository\DB\Procedure;

use WebServiceCall\Repository\DB\ABaseRepo;

class GeraFinanceiroCNC extends ABaseRepo {
    
    public function geraFinanceiro ($nrEstabelec, $dtIni, $dtFim) {
        $params = array(
            ':P_ESTABELEC' => $nrEstabelec,
            ':P_DTINICIAL' => $dtIni,
            ':P_DTFINAL'   => $dtFim,
        );

        return $this->conn->executeQuery(self::GERA_FINANCEIRO_CNC, $params, [], true);
    }
    
    private const GERA_FINANCEIRO_CNC = "
        BEGIN 
            GERA_FINANCEIRO_CNC(
                :P_ESTABELEC, 
                TO_DATE(':P_DTINICIAL', 'DD/MM/YYYY'), 
                TO_DATE(':P_DTFINAL', 'DD/MM/YYYY')
            ); 
        END;
    ";
}